summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xtoolchain/dependencies/dependencies.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/toolchain/dependencies/dependencies.sh b/toolchain/dependencies/dependencies.sh
index 0e88d6967..98a9d6f92 100755
--- a/toolchain/dependencies/dependencies.sh
+++ b/toolchain/dependencies/dependencies.sh
@@ -248,6 +248,18 @@ echo "awk installed: Ok"
#############################################################
#
+# check build system 'bash'
+#
+#############################################################
+if ! $SHELL --version 2>&1 | grep -q '^GNU bash'; then
+ echo "bash installed: FALSE"
+ /bin/echo -e "\n\nYou must install 'bash' on your build machine\n";
+ exit 1;
+fi;
+echo "bash installed: Ok"
+
+#############################################################
+#
# check build system 'bison'
#
#############################################################